# DROP ACCESS METHOD

DROP ACCESS METHOD — remove an access method

### Synopsis

```
DROP ACCESS METHOD [ IF EXISTS ] name [ CASCADE | RESTRICT ]
```

### Description

`DROP ACCESS METHOD` removes an existing access method. Only superusers can drop access methods.

### Parameters

`IF EXISTS`

Do not throw an error if the access method does not exist. A notice is issued in this case.

*`name`*

The name of an existing access method.

`CASCADE`

Automatically drop objects that depend on the access method (such as operator classes, operator families, and indexes), and in turn all objects that depend on those objects (see [Section 5.14](https://www.postgresql.org/docs/13/ddl-depend.html)).

`RESTRICT`

Refuse to drop the access method if any objects depend on it. This is the default.

### Examples

Drop the access method `heptree`:

```
DROP ACCESS METHOD heptree;
```

### Compatibility

`DROP ACCESS METHOD` is a PostgreSQL extension.

### See Also

[CREATE ACCESS METHOD](https://www.postgresql.org/docs/13/sql-create-access-method.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/13/reference/sql-commands/drop-access-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
